var changed_bits = 0;
var changed_mode = 0;


$(document).ready(function () {
    setTimeout("init_srtcontrole()", 100);
  });

function init_srtcontrole()
{
    $("#inspection_mode").change(function() {change_mode(); });
    $("#unit").change(function() {change_unit(); });
    $("#_moment").click(function() {SelectBits(); });

    var controlemode = $("#inspection_mode").val() == 0;
    if (!controlemode)
    {
      $("#_moment").parent().parent().hide();
    }
}

function change_mode()
{
    var controlemode = $("#inspection_mode").val() == 0;
    if (!controlemode)
        $("#_moment").parent().parent().hide()
    else
        $("#_moment").parent().parent().show();
    changed_mode = 1;
}

function change_unit()
{
    changed_mode = 1;
}

function SelectBits()
{
    var proturl = "../ins/ins_bitsform.asp"
                + "?eenheid=" + $("#unit").val()
                + "&bits="    + $("#bits").val();
    parent.FcltMgr.openModalDetail(proturl, "Select moment",
                { callback: function (data)
                        { if (data.eenheid >= 0)
                          {
                             $("#bits").val(data.bits);
                             changed_bits = 1;
                          }
                        }
                } );
}

function pre_submit()
{
    var ch_mode = (changed_mode == 1);
    var ch_bits = (changed_bits == 1);
    var controlemode  = $("#inspection_mode").val() == 0;
    if (controlemode)
    {
        if (ch_mode && !ch_bits)
        {
            alert(L("ins_srtcontrole_select"));
            return false;
        }
    }
    else // is_interval
    {
        $("#bits").val(null);
    }

    if ($("#object_type").val() != -1)
    {
        $("#level").val("S");
        $("#object_key").val($("#object_type").val());
    }
    else if ($("#object_group").val() != -1)
    {
        $("#level").val("G");
        $("#object_key").val($("#object_group").val());
    }
    else
    {
        $("#level").val("D");
        $("#object_key").val($("#object_discipline").val());
    }

    return true;
}
